#include "Arduino.h"
#include "LightSensor.h"

LightSensor::LightSensor() {
	pinMode(13, OUTPUT);
	timeLimit = 30000;
	ledPin = 13;
}

LightSensor::LightSensor(int ledpin, int timelimit) {
	pinMode(ledPin, OUTPUT);
	timeLimit = timelimit;
	ledPin = ledpin;
}

int LightSensor::readPinCell(int pin) {
	if (pin > 19 || pin < 0) {
		return -1;
	}
	int reading = RCtime(pin);

	if (reading >= 0 && reading < timeLimit) {
		digitalWrite(ledPin, HIGH);
		delay(100);
		digitalWrite(ledPin, LOW);
	}

	return reading;
}

int LightSensor::RCtime(int RCpin) {
	int reading = 0;
	
	pinMode(RCpin, OUTPUT);
	digitalWrite(RCpin, LOW);

	pinMode(RCpin, INPUT);
	while (digitalRead(RCpin) == LOW) {
		reading++;

		if (reading == timeLimit) {
			return -1;
		}
	}

	return reading;
}
